### Method

# RB RhythmDBQueryModel add_entry

#### Declaration [src]

    void
    rhythmdb_query_model_add_entry (
      RhythmDBQueryModel* model,
      RhythmDBEntry* entry,
      gint index
    )

#### Description [src]

Adds an entry to the query model at the specified position. Does not check if the entry matches the query (if any).

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry` to add.

  The data is owned by the caller of the method.

`index`

  Type: `gint`

  Position at which to add it, or -1 to add at the end.